### Struct

# Pango TabArray

since: 1.0

#### Description [src]

    struct PangoTabArray {
      /* No available fields */
    }

A `PangoTabArray` contains an array of tab stops.

`PangoTabArray` can be used to set tab stops in a `PangoLayout`. Each tab stop has an alignment, a position, and optionally a character to use as decimal point.

Available since: 1.0

#### Constructors

###### pango_tab_array_new

Creates an array of `initial_size` tab stops.

since: 1.0

###### pango_tab_array_new_with_positions

Creates a `PangoTabArray` and allows you to specify the alignment and position of each tab stop.

since: 1.0

#### Functions

###### pango_tab_array_from_string

Deserializes a `PangoTabArray` from a string.

since: 1.50

#### Instance methods

###### pango_tab_array_copy

Copies a `PangoTabArray`.

since: 1.0

###### pango_tab_array_free

Frees a tab array and associated resources.

since: 1.0

###### pango_tab_array_get_decimal_point

Gets the Unicode character to use as decimal point.

since: 1.50

###### pango_tab_array_get_positions_in_pixels

Returns `TRUE` if the tab positions are in pixels, `FALSE` if they are in Pango units.

since: 1.0

###### pango_tab_array_get_size

Gets the number of tab stops in `tab_array`.

since: 1.0

###### pango_tab_array_get_tab

Gets the alignment and position of a tab stop.

since: 1.0

###### pango_tab_array_get_tabs

If non-`NULL`, `alignments` and `locations` are filled with allocated arrays.

since: 1.0

###### pango_tab_array_resize

Resizes a tab array.

since: 1.0

###### pango_tab_array_set_decimal_point

Sets the Unicode character to use as decimal point.

since: 1.50

###### pango_tab_array_set_positions_in_pixels

Sets whether positions in this array are specified in pixels.

since: 1.50

###### pango_tab_array_set_tab

Sets the alignment and location of a tab stop.

since: 1.0

###### pango_tab_array_sort

Utility function to ensure that the tab stops are in increasing order.

since: 1.50

###### pango_tab_array_to_string

Serializes a `PangoTabArray` to a string.

since: 1.50